## UDisksManagerBTRFS

UDisksManagerBTRFS — Generated C code for the org.freedesktop.UDisks2.Manager.BTRFS D-Bus interface

## Functions

void | udisks_manager_btrfs_proxy_new ()
UDisksManagerBTRFS * | udisks_manager_btrfs_proxy_new_finish ()
UDisksManagerBTRFS * | udisks_manager_btrfs_proxy_new_sync ()
void | udisks_manager_btrfs_proxy_new_for_bus ()
UDisksManagerBTRFS * | udisks_manager_btrfs_proxy_new_for_bus_finish ()
UDisksManagerBTRFS * | udisks_manager_btrfs_proxy_new_for_bus_sync ()
void | udisks_manager_btrfs_call_create_volume ()
gboolean | udisks_manager_btrfs_call_create_volume_finish ()
gboolean | udisks_manager_btrfs_call_create_volume_sync ()
UDisksManagerBTRFS * | udisks_manager_btrfs_skeleton_new ()
void | udisks_manager_btrfs_complete_create_volume ()

## Signals

gboolean | handle-create-volume | Run Last

## Types and Values

| UDisksManagerBTRFS
struct | UDisksManagerBTRFSProxy
struct | UDisksManagerBTRFSProxyClass
struct | UDisksManagerBTRFSSkeleton
struct | UDisksManagerBTRFSSkeletonClass

## Description

This section contains code for working with the org.freedesktop.UDisks2.Manager.BTRFS D-Bus interface in C.

## Functions

### udisks_manager_btrfs_proxy_new ()

    void
    udisks_manager_btrfs_proxy_new (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.BTRFS. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_btrfs_proxy_new_finish()` to get the result of the operation.

See `udisks_manager_btrfs_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_manager_btrfs_proxy_new_finish ()

    UDisksManagerBTRFS *
    udisks_manager_btrfs_proxy_new_finish (GAsyncResult *res,
                                           GError **error);

Finishes an operation started with `udisks_manager_btrfs_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_btrfs_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerBTRFSProxy]

Since: 2.1.3

### udisks_manager_btrfs_proxy_new_sync ()

    UDisksManagerBTRFS *
    udisks_manager_btrfs_proxy_new_sync (GDBusConnection *connection,
                                         GDBusProxyFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.BTRFS. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_manager_btrfs_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerBTRFSProxy]

Since: 2.1.3

### udisks_manager_btrfs_proxy_new_for_bus ()

    void
    udisks_manager_btrfs_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_manager_btrfs_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_btrfs_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_manager_btrfs_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.1.3

### udisks_manager_btrfs_proxy_new_for_bus_finish ()

    UDisksManagerBTRFS *
    udisks_manager_btrfs_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_btrfs_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_btrfs_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerBTRFSProxy]

Since: 2.1.3

### udisks_manager_btrfs_proxy_new_for_bus_sync ()

    UDisksManagerBTRFS *
    udisks_manager_btrfs_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_manager_btrfs_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_manager_btrfs_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerBTRFSProxy]

Since: 2.1.3

### udisks_manager_btrfs_call_create_volume ()

    void
    udisks_manager_btrfs_call_create_volume
                                   (UDisksManagerBTRFS *proxy,
                                    const gchar *const *arg_devices,
                                    const gchar *arg_label,
                                    const gchar *arg_data_level,
                                    const gchar *arg_md_level,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `CreateVolume()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_btrfs_call_create_volume_finish()` to get the result of the operation.

See `udisks_manager_btrfs_call_create_volume_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerBTRFSProxy. |
arg_devices | Argument to pass with the method invocation. |
arg_label | Argument to pass with the method invocation. |
arg_data_level | Argument to pass with the method invocation. |
arg_md_level | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.3.0

### udisks_manager_btrfs_call_create_volume_finish ()

    gboolean
    udisks_manager_btrfs_call_create_volume_finish
                                   (UDisksManagerBTRFS *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_btrfs_call_create_volume()`.

#### Parameters

proxy | A UDisksManagerBTRFSProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_btrfs_call_create_volume()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_manager_btrfs_call_create_volume_sync ()

    gboolean
    udisks_manager_btrfs_call_create_volume_sync
                                   (UDisksManagerBTRFS *proxy,
                                    const gchar *const *arg_devices,
                                    const gchar *arg_label,
                                    const gchar *arg_data_level,
                                    const gchar *arg_md_level,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CreateVolume()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_btrfs_call_create_volume()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerBTRFSProxy. |
arg_devices | Argument to pass with the method invocation. |
arg_label | Argument to pass with the method invocation. |
arg_data_level | Argument to pass with the method invocation. |
arg_md_level | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.3.0

### udisks_manager_btrfs_skeleton_new ()

    UDisksManagerBTRFS *
    udisks_manager_btrfs_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Manager.BTRFS.

#### Returns

The skeleton object.

[transfer full][type UDisksManagerBTRFSSkeleton]

Since: 2.1.3

### udisks_manager_btrfs_complete_create_volume ()

    void
    udisks_manager_btrfs_complete_create_volume
                                   (UDisksManagerBTRFS *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `CreateVolume()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerBTRFS. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.3.0

## Types and Values

### UDisksManagerBTRFS

    typedef struct _UDisksManagerBTRFS UDisksManagerBTRFS;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Manager.BTRFS.

Since: 2.1.3

### struct UDisksManagerBTRFSProxy

    struct UDisksManagerBTRFSProxy {
    };

The UDisksManagerBTRFSProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.1.3

### struct UDisksManagerBTRFSProxyClass

    struct UDisksManagerBTRFSProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksManagerBTRFSProxy.

#### Members

Since: 2.1.3

### struct UDisksManagerBTRFSSkeleton

    struct UDisksManagerBTRFSSkeleton {
    };

The UDisksManagerBTRFSSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.1.3

### struct UDisksManagerBTRFSSkeletonClass

    struct UDisksManagerBTRFSSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksManagerBTRFSSkeleton.

#### Members

Since: 2.1.3

## Signal Details

### The `“handle-create-volume”` signal

    gboolean
    user_function (UDisksManagerBTRFS    *object,
                   GDBusMethodInvocation *invocation,
                   GStrv                  arg_devices,
                   char                  *arg_label,
                   char                  *arg_data_level,
                   char                  *arg_md_level,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `CreateVolume()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_btrfs_complete_create_volume()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerBTRFS. |
invocation | A GDBusMethodInvocation. |
arg_devices | Argument passed by remote caller. |
arg_label | Argument passed by remote caller. |
arg_data_level | Argument passed by remote caller. |
arg_md_level | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.3.0